clear all 

if c(username) == "maha9905"{
	qui cd "C:\Users\maha9905\Dropbox\PhD\TA\Political Economics II\2024\PS1\solutions\code "
}

* *## So this is what we are targeting to add an additional year to

use ../input/enke/All_elections.dta, clear
sort year 
list

* *Note that the plot is made so that the X-axis is the universalist moral appeal of the democratic candidate relative to their Republican competitor.
* *
* *For some reason I do not get the same values as in the replication file. 
* *
* *It was a bit hard to figure out exactly what regression to run. But this is how I inteprerate regression (19).

use ../input/county_with2020.dta, clear

qui{ 
expand 2
bys county: gen c = _n

expand 4
bys county c: gen year = _n 

gen voteshare = .
gen gop_share = .
local j = 0
forval i = 2008(4)2020{
    local ++j
    replace voteshare = gop_share_`i' if c == 1 & year == `j'
    replace voteshare = dem_share_`i' if c == 2 & year == `j'
    replace gop_share = gop_share_`i' if year == `j'
}

gen y = log(voteshare+0.00001) - log(gop_share+0.00001)
}
reghdfe y c.values_relative_shrink#i.c#i.year  , absorb(cbsa#c#year)



* *And this is regression (20). The question here is what documents to include.
* *I choose the once from the general elections. 

use ../input/political__moral_rhetoric_2020.dta, clear
tab candidate, gen(c)
reghdfe relative_universalist_std c2 if general_election  , absorb(date document_type)

clear 
set obs 1 
gen year = 2020
gen candidate = "Biden vs. Trump"
gen b_supply = -8.572024
gen b_demand_cbsa = 0.218168

tempfile tmp
qui save `tmp'

use ../input/enke/All_elections.dta, clear

append using `tmp'

#delimit ;
tw 
    (scatter b_demand_cbsa b_supply,mlabel(candidate) mcolor(black) mlabcolor(black) mlabsize(medlarge)) 
    (lfit b_demand_cbsa b_supply, 
        lcolor(black) 
        title("General elections", color(black)) 
        ytitle("Rel. appeal of candidate as fct. of voters' morality") 
        xlabel(-20 0 20 40 60) 
        xtitle("Relative universalist moral appeal of Democratic candidate") 
        legend(off) 
        note("") 
        graphregion(fcolor(white) lcolor(white)))
;
#delimit cr

